#######################################
# Common to normal and priority gossip
#######################################
include.control                     nrps stats

#random.seed                         1234567890
simulation.endtime                  20
network.size                        10000

init.sch                            CDScheduler
init.sch.protocol                   ngossip
#init.sch.randstart

init.send                           FirstSenderSetter
init.send.protocol                  ngossip

control.stats                       RoundStats
control.stats.step                  1
control.stats.protocol              ngossip
control.stats.density               0.1

protocol.transport                  ReliableTransport
protocol.transport.latency          1

protocol.neighboursP                NeighboursLinkable
protocol.neighboursS                NeighboursLinkable
protocol.neighboursPS               NeighboursLinkable

################
# Normal gossip
################
control.nrps                        NormalRandomPeerSampler
control.nrps.step                   10
control.nrps.degree                 10
control.nrps.linkableP              neighboursP

protocol.ngossip                    NormalGossip
protocol.ngossip.step               1
protocol.ngossip.linkableP          neighboursP
protocol.ngossip.transport          transport

